package com.huiju.estateagents.statistic.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huiju.estateagents.statistic.entity.TsPersonFromStatistic;
import org.apache.ibatis.annotations.Mapper;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 用户来源统计表  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2020-01-04
 */
@Mapper
public interface TsPersonFromStatisticMapper extends BaseMapper<TsPersonFromStatistic> {

    void insertStatisticList(List<TsPersonFromStatistic> list);

    List<TsPersonFromStatistic> selectPersonFrom(Integer orgId, LocalDate startDate, LocalDate endDate);

    List<TsPersonFromStatistic> selectPersonFromGroupByDay(Integer orgId, LocalDate startDate, LocalDate endDate);

    List<TsPersonFromStatistic> selectPersonFromGroupByData(Integer orgId, LocalDate startDate, LocalDate endDate);

    void deleteByData();
}
